Composite chart
curl --request POST \
--url https://api.astrom8.com/api/v3/western/composite-chart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_a": {
"date": "2023-12-25",
"time": "<string>",
"latitude": 0,
"longitude": 0,
"timezoneOffsetMinutes": 0
},
"person_b": {
"date": "2023-12-25",
"time": "<string>",
"latitude": 0,
"longitude": 0,
"timezoneOffsetMinutes": 0
},
"house_system": "P",
"locale": "en"
}
'import requests
url = "https://api.astrom8.com/api/v3/western/composite-chart"
payload = {
"person_a": {
"date": "2023-12-25",
"time": "<string>",
"latitude": 0,
"longitude": 0,
"timezoneOffsetMinutes": 0
},
"person_b": {
"date": "2023-12-25",
"time": "<string>",
"latitude": 0,
"longitude": 0,
"timezoneOffsetMinutes": 0
},
"house_system": "P",
"locale": "en"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_a: {
date: '2023-12-25',
time: '<string>',
latitude: 0,
longitude: 0,
timezoneOffsetMinutes: 0
},
person_b: {
date: '2023-12-25',
time: '<string>',
latitude: 0,
longitude: 0,
timezoneOffsetMinutes: 0
},
house_system: 'P',
locale: 'en'
})
};
fetch('https://api.astrom8.com/api/v3/western/composite-chart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"system": "<string>",
"labels": {},
"house_system": "<string>",
"chart": {},
"cross_aspects": [
{}
],
"days": [
{}
]
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "payment_required",
"message": "Insufficient credits for this request",
"code": "402",
"request_id": "01HQXYZ..."
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "internal_server_error",
"message": "Could not compute Panchang.",
"code": "internal",
"request_id": "01HQXYZ..."
}Western
Composite chart
POST
/
api
/
v3
/
western
/
composite-chart
Composite chart
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Body
application/json
Response
Midpoint composite chart.
⌘I